Assessment TemplatesUpdate draft template
Assessment Templates

Update draft template

curl -X PATCH "https://api.neostra.io/api/v1/assessment/templates/123e4567-e89b-12d3-a456-426614174000" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "name": "John Doe",
  "sections": [
    {}
  ]
}'
{
  "success": true,
  "message": "example_string",
  "data": {}
}
PATCH
/api/v1/assessment/templates/{draftTemplateId}
PATCH
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Path Parameters

Body

application/json

Responses

successboolean
messagestring
dataobject